org.eclipse.ease.lang.javascript.rhino.debugger.model

## Class RhinoDebugModelPresentation

- java.lang.Object
- - org.eclipse.ease.ui.debugging.model.AbstractEaseDebugModelPresentation
  - - org.eclipse.ease.lang.javascript.rhino.debugger.model.RhinoDebugModelPresentation

All Implemented Interfaces:
  IDebugModelPresentation, ISourcePresentation, IBaseLabelProvider, ILabelProvider

    public class RhinoDebugModelPresentation
    extends AbstractEaseDebugModelPresentation
    implements IDebugModelPresentation

### Field Summary

### Fields inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`DISPLAY_VARIABLE_TYPE_NAMES`

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugModelPresentation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeDetail(IValue value, IValueDetailListener listener)`
`java.lang.String` `getEditorId(IEditorInput input, java.lang.Object element)`

### Methods inherited from class org.eclipse.ease.ui.debugging.model.AbstractEaseDebugModelPresentation

`addListener, dispose, getEditorInput, getImage, getText, isLabelProperty, removeListener, setAttribute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`getImage, getText, setAttribute`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from interface org.eclipse.debug.ui.ISourcePresentation

`getEditorInput`

### Constructor Detail

#### RhinoDebugModelPresentation

    public RhinoDebugModelPresentation()

### Method Detail

#### getEditorId

    public java.lang.String getEditorId(IEditorInput input,
                                        java.lang.Object element)

Specified by:
  `getEditorId` in interface `ISourcePresentation`

#### computeDetail

    public void computeDetail(IValue value,
                              IValueDetailListener listener)

Specified by:
  `computeDetail` in interface `IDebugModelPresentation`